Bug 927264 - CVE-2013-1830 CVE-2013-1831 CVE-2013-1832 CVE-2013-1833 CVE-2012-3363 CVE-2013-1834 CVE-2013-1835 CVE-2013-1836 moodle various flaws [fedora-18]
CVE-2013-1830 CVE-2013-1831 CVE-2013-1832 CVE-2013-1833 CVE-2012-3363 CVE-201...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: moodle (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-1830 CVE-2013-1831 CVE-2013-1832 CVE-2013-1833 927249 CVE-2013-1834 CVE-2013-1835 CVE-2013-1836
  Show dependency treegraph
 
Reported: 2013-03-25 10:13 EDT by Jan Lieskovsky
Modified: 2013-04-09 14:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 00:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-25 10:13:14 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-18 tracking bug for moodle: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-03-25 10:13:28 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927245,927264
Comment 2 Jan Lieskovsky 2013-03-25 10:14:07 EDT
Adding parent bug CVE-2013-1831.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927264,927245,927246
Comment 3 Jan Lieskovsky 2013-03-25 10:14:56 EDT
Adding parent bug CVE-2013-1832.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927264,927245,927246,927247
Comment 4 Jan Lieskovsky 2013-03-25 10:15:49 EDT
Adding parent bug CVE-2013-1833.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927264,927245,927246,927247,927248
Comment 5 Jan Lieskovsky 2013-03-25 10:16:31 EDT
Adding parent bug 927249.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927264,927245,927246,927247,927248,927249
Comment 6 Jan Lieskovsky 2013-03-25 10:17:21 EDT
Adding parent bug CVE-2013-1834.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927264,927245,927246,927247,927248,927249,927250
Comment 7 Jan Lieskovsky 2013-03-25 10:18:07 EDT
Adding parent bug CVE-2013-1835.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927264,927245,927246,927247,927248,927249,927250,927253
Comment 8 Jan Lieskovsky 2013-03-25 10:18:56 EDT
Adding parent bug CVE-2013-1836.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=927264,927245,927246,927247,927248,927249,927250,927253,927254
Comment 9 Fedora Update System 2013-03-25 12:09:21 EDT
moodle-2.2.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/moodle-2.2.9-1.fc17
Comment 10 Fedora Update System 2013-03-25 12:09:43 EDT
moodle-2.3.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/moodle-2.3.6-1.fc18
Comment 11 Fedora Update System 2013-03-25 12:10:16 EDT
moodle-2.2.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/moodle-2.2.9-1.el6
Comment 12 Fedora Update System 2013-03-25 14:54:43 EDT
Package moodle-2.2.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing moodle-2.2.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0800/moodle-2.2.9-1.el6
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-04-03 00:25:27 EDT
moodle-2.2.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-04-03 00:44:04 EDT
moodle-2.3.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-04-09 14:17:24 EDT
moodle-2.2.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.